Bug 71702 - gdm renders finnish language characters oddly
Summary: gdm renders finnish language characters oddly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-artwork   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-16 21:39 UTC by Petri Koistinen
Modified: 2007-04-18 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-23 22:13:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Description of this bug. (17.56 KB, image/png)
2002-08-16 22:15 UTC, Petri Koistinen
no flags Details

Description Petri Koistinen 2002-08-16 21:39:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-11 i686; Nav)

Description of problem:
Weird characters on gdm login screen when Finnish language is used.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run gdm with system that has Finnish locale as default.

	

Actual Results:  gdm starts normaly.
At the bottom of screen there these three menus ("language", "session" and
"system", I guess, haven't looked in english.)

In finnish language there should read:
Kieli  Istunto  Jdrjestelmd

but those d (a with two dots on it) letters are rendered weirdly.
Now there reads:
Kieli  Istunto  JC$rjestelmC$

(I have heard that C$ is UTF-8 presentation of d letter, I don't know.)

Expected Results:  At the bottom of screen there should read:

Kieli  Istunto  Jdrjestelmd

Additional info:

gdm-2.4.0.7-2

X-Chat has similar problem. If I select Finnish as system language from gdm
menu, those characters are shown weirdly on IRC. If I select system default
language on gdm, X-Chat shows d, v and e letters correctly.

Comment 1 Petri Koistinen 2002-08-16 21:41:22 UTC
Your bugtracking system does not understand 8-bit characters.
I have to make picture about this.

Comment 2 Havoc Pennington 2002-08-16 21:51:32 UTC
owen is this the same as the bug about japanese?

Comment 3 Petri Koistinen 2002-08-16 22:15:24 UTC
Created attachment 71245 [details]
Description of this bug.

Comment 4 Petri Koistinen 2002-08-16 22:19:41 UTC
I hope that picture makes some sense, as that textual bug report stripped to
7-bits makes no sense. Where I can make bug report of bugzilla?

Comment 5 Owen Taylor 2002-08-16 23:33:51 UTC
gdm issue fixed in redhat-artwork-0.37-2

There is a bugzilla product in bugzilla. (Not sure if we'll fix this
particular issue unless it trickles down from upstream bugzilla, but it 
wouldn't hurt to file a bug if it isn't one already there.)


Comment 6 Petri Koistinen 2002-08-16 23:52:29 UTC
I hope that redhat-artwork-0.37-2 will work, otherwise I'll reopen this bug.

Ok, and I found already open bug about bugzilla:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=70443



Comment 7 Petri Koistinen 2002-08-23 22:13:30 UTC
OK, original bug is now fixed, but when I type password on gdm prompt it will
print weird characters. They look like this:

|----|
| 25 |
| CF |
|----|

I guess that is some keycode, but password lenght should not be displayed.

(pkoistin@cs.hit.fi is no longer valid email of mine, thoron@iki.fi is.)

Comment 8 Havoc Pennington 2002-08-23 22:22:11 UTC
That's a different bug, already in as #72433


Note You need to log in before you can comment on or make changes to this bug.